---
lang: en
title: 'API docs: openapi-v3.oasenhancer.modifyspec'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.oasenhancer.modifyspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [OASEnhancer](./openapi-v3.oasenhancer.md) &gt; [modifySpec](./openapi-v3.oasenhancer.modifyspec.md)

## OASEnhancer.modifySpec() method

**Signature:**

```typescript
modifySpec(spec: OpenApiSpec): ValueOrPromise<OpenApiSpec>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  spec | [OpenApiSpec](./openapi-v3.openapispec.md) |  |

**Returns:**

[ValueOrPromise](./context.valueorpromise.md)<!-- -->&lt;[OpenApiSpec](./openapi-v3.openapispec.md)<!-- -->&gt;


